# Poco::ActiveRecord

# class PostgresStatementPlaceholderProvider

Library: ActiveRecord
Package: ActiveRecord
Header: Poco/ActiveRecord/StatementPlaceholderProvider.h

## Inheritance

Direct Base Classes: StatementPlaceholderProvider

All Base Classes: StatementPlaceholderProvider

## Member Summary

Member Functions: next, reset

Inherited Functions: next, reset

## Member Functions

### next

std::string next();

See also: Poco::ActiveRecord::StatementPlaceholderProvider::next()

### reset

void reset();

See also: Poco::ActiveRecord::StatementPlaceholderProvider::reset()